using System;
using System.Collections.Generic;
using System.Text;

using System.Drawing;

namespace SyncfusionTest
{
    [Serializable]
    public abstract class Constants
    {
        #region Constants

        public const string INSERT_MEMBER_SYMBOL = "InsertMemberSymbol";
        public const int DIAGRAM_HEIGHT = 1056;
        public const int DIAGRAM_WIDTH = 816;

        #endregion Constants

        [Serializable]
        public abstract class NodeConstants
        {
            public const int PortCurveSlope = 5;
       
            public const string topPort = "TopPort";
            public const string bottomPort = "BottomPort";
            public const string leftPort = "LeftPort";
          //  public const string nodeText = "NodeText";
          //  public const string nodeId = "NodeId";
            public const string rightPort = "RightPort";
            public const string dataNode = "DataNode";
            public const string translateX = "translateX";
            public const string translateY = "translateY";
          //  public const string nodeLabelHeight = "nodeLabelHeight";
            public const string nodeSymbolHeader = "nodeSymbolHeader";
            public const string nodeSymbolBody = "nodeSymbolBody";
            public const string nodeSymbolFooter = "nodeSymbolFooter";
          //  public const string nodeLabelWidth = "nodeLabelWidth";
        }

    }
}
	